%define sourcedir stable/%{version}/distribution/tar/generic/source
%define pkg kdemultimedia
%define DATE 20010806
%define is_release 1
%define beta %{nil}
%define rel 3.p
%define __libtoolize /bin/true
Version: 2.2.2

Name: kdemultimedia
Obsoletes: aktion
Prefix: /usr
%if %{is_release}
%if "%{beta}" != ""
Release: 0.%{beta}.%{rel}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}-%{beta}.tar.bz2
%else
Release: %{rel}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.patched.tar.bz2
%endif
%else
Release: 0.cvs%{DATE}.%{rel}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{DATE}.tar.bz2
%endif
Source1: http://brahms.sourceforge.net/download/brahms-1.01.tar.bz2
Icon: kde-icon.xpm
Summary: Multimedia applications for the K Desktop Environment (KDE).
Epoch: 6
Patch1: kdemultimedia-2.2-redhat.patch
Patch2: kdemultimedia-2.1-glibc-2.2.2.patch
Patch3: kdemultimedia-2.2-brahms.patch
Patch4: kdemultimedia-2.2.2-brahmsintegration.patch
Patch5: kdemultimedia-pensacolabuild.patch
Patch6: kdemultimedia-2.2.2-mp3.patch
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Prereq: /sbin/ldconfig
Requires: timidity++
BuildRequires: qt-devel zlib-devel XFree86-devel kdelibs-devel kdelibs-sound-devel libjpeg-devel gcc-c++ glibc-devel timidity++

%description
The K Desktop Environment (KDE) is a GUI desktop for the X Window
System. The kdemultimedia package contains multimedia applications for
KDE, including: AKtion, a front end for the XAnim video player; kmidi,
a midi-to-wav player/converter; kmix, a mixer; and kscd, an audio CD
player.

%package devel
Summary: Development files for kdemultimedia.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files for kdemultimedia

Install kdemultimedia-devel if you wish to develop or compile applications that
use kdemultimedia, such as plugins for the noatun multimedia player.

%prep
rm -rf $RPM_BUILD_ROOT

%if %{is_release}
%setup -q -n %{name}-%{version}
%else
%setup -q -n %{name}
%endif
perl -pi -e "s,examples,,g" kmid/Make*
%patch1 -p1 -b .redhat
%patch2 -p1 -b .glibc222
%patch6 -p1 -b .mp3
perl -pi -e "s/-fomit-frame-pointer//g" admin/acinclude.m4.in

# remove aktion
rm -rf doc/aktion aktion

make -f Makefile.cvs
find . -name "*.moc" -exec rm -rf {} \;

#tar xjf %{SOURCE1}
#cd brahms-1.01
#%patch3 -p1 -b .brahms
#%patch4 -p2 -b .brahms2
#%patch5 -p2 -b .pensacola
#mv brahms/Brahms.kdelnk brahms/Brahms.desktop
#test -f  Makefile.cvs && make -f  Makefile.cvs
#cd ..

%build
export KDEDIR=%{prefix}
unset QTDIR || : ; . /etc/profile.d/qt.sh
export PATH=%{prefix}/bin:$PATH
export FLAGS="$RPM_OPT_FLAGS -DNDEBUG"

CFLAGS="$FLAGS" CXXFLAGS="$FLAGS -fno-check-new" \
	./configure --prefix=%{prefix} \
	--disable-motif \
	--with-motif-includes=none \
	--with-motif-libraries=none \
	--disable-debug \
	--without-debug \
	--includedir=/usr/include/kde
# Do this once it's fixed: --enable-final \


make
LANG=C make -C doc

#DIR=`pwd`
#cd brahms-1.01
#CFLAGS="$FLAGS" CXXFLAGS="$FLAGS -fno-check-new" \
#LDFLAGS="-L$DIR/arts/midi -L$DIR/arts/modules -L$DIR/arts/gui/kde -L$DIR/arts/runtime" \
#    ./configure --prefix=%{prefix} \
#	--without-alsa
#find . -name "Makefile*" |xargs perl -pi -e "s,\.libs/\.libs,.libs,g"
#
#make
#cd ..

%install
#cd brahms-1.01
#make install DESTDIR=$RPM_BUILD_ROOT
#cd ..

make install DESTDIR=$RPM_BUILD_ROOT
make -C doc DESTDIR=$RPM_BUILD_ROOT install

for i in $RPM_BUILD_ROOT/%{prefix}/bin/*; do
  strip -R .comment $i || : &>/dev/null
done

# remove instrument files - we get them from timidity++
rm -rf $RPM_BUILD_ROOT/usr/share/apps/kmidi/config/patch
rm -rf $RPM_BUILD_ROOT/usr/share/apps/kmidi/config/*.cfg

# don't make these world-writeable
chmod go-w $RPM_BUILD_ROOT/%{prefix}/share/apps/kscd/*
chmod go-w $RPM_BUILD_ROOT/%{prefix}/share/apps/kscd/cddb/*

cd $RPM_BUILD_ROOT/%{prefix}/share/doc/HTML/en
for i in *; do
	rm -f $i/common
	ln -sf ../common $i
done

chmod 0755 $RPM_BUILD_ROOT%{prefix}/bin/noatun_kjofol_fixskin.sh

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{prefix}/bin/*
%{prefix}/lib/*.*
%{prefix}/lib/mcop/Arts/*
%{prefix}/lib/mcop/*.*
%dir %{prefix}/lib/mcop/Noatun
%{prefix}/lib/mcop/Noatun/*
%{prefix}/share/applnk/Multimedia/*.desktop
%{prefix}/share/applnk/Settings/Sound/*.desktop
%{prefix}/share/apps/*
%config %{prefix}/share/mimelnk/*/*
%{prefix}/share/services/*
%{prefix}/share/servicetypes/*
%{prefix}/share/icons/*/*/apps/*
%doc %{_docdir}/HTML/en/*

%files devel
%defattr(-,root,root)
%{prefix}/include/kde/arts/*
%{prefix}/include/kde/*.h
%{prefix}/include/kde/mpeglib
%{prefix}/include/kde/mpeglib_artsplug
%{prefix}/include/kde/noatun


%changelog
* Wed Aug 20 2002 Bill Nottingham <notting@redhat.com> 2.2.2-2.p
- remove parts of mpeglib

* Mon Apr 15 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.2.2-3
- Fix build in Pensacola environment

* Sat Jan 12 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.2.2-2
- make sure this builds without a previous installation of kdemultimedia

* Thu Nov 15 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2.2-1
- 2.2.2

* Mon Sep 17 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2.1-2
- -devel requires base

* Sat Sep 15 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2.1-1
- 2.2.1

* Thu Aug 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-4
- Rebuild to fix bug #51975
- Fix build without a previously installed kdemultimedia (#51924)
- Fix up kmidi configuration (problem found while debugging 51975)
- Remove kmidi instrument files, we get a much more complete set from
  timidity++

* Thu Aug  9 2001 Tim Powers <timp@redhat.com>
- /usr/bin/noatun_kjofol_fixskin.sh needs to be executable

* Wed Aug  8 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-2
- Add missing files, fixes #50912

* Mon Aug  6 2001 Than Ngo <than@redhat.com> 2.2-1
- update to 2.2 release

* Fri Aug  3 2001 Than Ngo <than@redhat.com> 2.2-0.cvs20010803.1
- update
- fix bug #24132
- get rid of aktion

* Sun Jul 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010722.1
- Update
- move devel files to a separate package
- Add BuildPrereqs (#44914)

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1-respin

* Tue Feb 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Tue Feb 13 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Remove copyrighted midi files (#26431)
- Use a real file list rather than find/sed (#26565)
- Fix build with current glibc

* Thu Feb  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Replace absolute symlinks with relative ones (#24794)
- Don't use more than 2 CPUs at build time to shut up asok

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Don't optimize on sparc, compiler breakage

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to CVS
- re-exclude ia64, the compiler can't handle this package

* Sun Oct 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Tue Oct  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Thu Aug 24 2000 Than Ngo <than@redhat.com>
- update kdemultimedia-1.93
- fix to rebuilt with gcc-2.96

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- fix to build against gcc-2.96-40 on sparc, alpha
- disable motif

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- SMPify
- don't hardcode QTDIR

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use kernelcc
- new snapshot

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Obsoletes: aktion (it's included now)

* Wed Jun 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now

* Sat Apr  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 snapshot

* Tue Feb 29 2000 Preston Brown <pbrown@redhat.com>
- fix localkscd patch, broken since 6.1 (#9404).

* Fri Feb  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Remove (world!) write permissions to %{prefix}/share/apps/kscd/cddb/*
- fix description

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Change the kmix error message (Bug #9065)
- Fix kmidi behavior when trying to play an empty playlist (Bug #8843)
- Fix compilation with kernel 2.3.x headers

* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- current version from KDE_1_1_BRANCH
- work around make install-strip breakage
- Rebuild for 6.2

* Sat Sep 25 1999 Preston Brown <pbrown@redhat.com>
- patched kscd to use local user directory for cddb entries

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark doc files as such

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- 1.1.2 release.

* Mon Jun 14 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- snapshot from today fixed kmid freeze issues

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- complies w/new RPM, newer libstdc++

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged in updates from Duncan Haldane
